<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de la classe src.copyToDialog1.copyToDialog1</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsrc_1_1copyToDialog1_1_1copyToDialog1.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-attribs">Attributs publics</a> &#124;
<a href="classsrc_1_1copyToDialog1_1_1copyToDialog1-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe src.copyToDialog1.copyToDialog1</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Graphe d'héritage de src.copyToDialog1.copyToDialog1:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1copyToDialog1_1_1copyToDialog1__inherit__graph.png" border="0" usemap="#src_8copyToDialog1_8copyToDialog1_inherit__map" alt="Inheritance graph"/></div>
<map name="src_8copyToDialog1_8copyToDialog1_inherit__map" id="src_8copyToDialog1_8copyToDialog1_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,179,121"/>
<area shape="rect" href="classQDialog.html" title=" " alt="" coords="58,5,126,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<div class="dynheader">
Graphe de collaboration de src.copyToDialog1.copyToDialog1:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1copyToDialog1_1_1copyToDialog1__coll__graph.png" border="0" usemap="#src_8copyToDialog1_8copyToDialog1_coll__map" alt="Collaboration graph"/></div>
<map name="src_8copyToDialog1_8copyToDialog1_coll__map" id="src_8copyToDialog1_8copyToDialog1_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,179,121"/>
<area shape="rect" href="classQDialog.html" title=" " alt="" coords="58,5,126,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a3a248ebcc251e3449fae434f2646c8ab"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a3a248ebcc251e3449fae434f2646c8ab">changeWd</a> (self)</td></tr>
<tr class="memdesc:a3a248ebcc251e3449fae434f2646c8ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">changement du répertoire de travail  <a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a3a248ebcc251e3449fae434f2646c8ab">Plus de détails...</a><br /></td></tr>
<tr class="separator:a3a248ebcc251e3449fae434f2646c8ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfbfdcc3b1f16d6f2854d7958040aab9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#abfbfdcc3b1f16d6f2854d7958040aab9">cancel</a> (self)</td></tr>
<tr class="memdesc:abfbfdcc3b1f16d6f2854d7958040aab9"><td class="mdescLeft">&#160;</td><td class="mdescRight">L'action provoquée par le bouton d'échappement : fermeture du dialogue.  <a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#abfbfdcc3b1f16d6f2854d7958040aab9">Plus de détails...</a><br /></td></tr>
<tr class="separator:abfbfdcc3b1f16d6f2854d7958040aab9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4656d2911297adfb41fb287bbcfd064"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac4656d2911297adfb41fb287bbcfd064">cont</a> (self)</td></tr>
<tr class="separator:ac4656d2911297adfb41fb287bbcfd064"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a099dae538ac4517a32b5718b729568"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a4a099dae538ac4517a32b5718b729568">setupFromListe</a> (self)</td></tr>
<tr class="memdesc:a4a099dae538ac4517a32b5718b729568"><td class="mdescLeft">&#160;</td><td class="mdescRight">Met en place un visionneur de fichiers dans la liste source.  <a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a4a099dae538ac4517a32b5718b729568">Plus de détails...</a><br /></td></tr>
<tr class="separator:a4a099dae538ac4517a32b5718b729568"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb15ba81390dd48d5bc90fd468d03408"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#adb15ba81390dd48d5bc90fd468d03408">setFromListeDir</a> (self, directory)</td></tr>
<tr class="memdesc:adb15ba81390dd48d5bc90fd468d03408"><td class="mdescLeft">&#160;</td><td class="mdescRight">Choisit un répertoire pour la liste source.  <a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#adb15ba81390dd48d5bc90fd468d03408">Plus de détails...</a><br /></td></tr>
<tr class="separator:adb15ba81390dd48d5bc90fd468d03408"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc1b4819dc8119bcbfa05a104685931c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#afc1b4819dc8119bcbfa05a104685931c">cd</a> (self, index)</td></tr>
<tr class="memdesc:afc1b4819dc8119bcbfa05a104685931c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change le répertoire courant si possible.  <a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#afc1b4819dc8119bcbfa05a104685931c">Plus de détails...</a><br /></td></tr>
<tr class="separator:afc1b4819dc8119bcbfa05a104685931c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a508fe0612217f30d89ffefd40535e5"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a4a508fe0612217f30d89ffefd40535e5">setupToListe</a> (self)</td></tr>
<tr class="memdesc:a4a508fe0612217f30d89ffefd40535e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Met en place un visionneur de fichierspour les fichiers reçus.  <a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a4a508fe0612217f30d89ffefd40535e5">Plus de détails...</a><br /></td></tr>
<tr class="separator:a4a508fe0612217f30d89ffefd40535e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af02b826d515d9ad734547a9d02a85b9f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#af02b826d515d9ad734547a9d02a85b9f">select</a> (self)</td></tr>
<tr class="separator:af02b826d515d9ad734547a9d02a85b9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac979a58e1b484a30b279d18a481815e3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac979a58e1b484a30b279d18a481815e3">displaySize</a> (self)</td></tr>
<tr class="memdesc:ac979a58e1b484a30b279d18a481815e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Affiche la taille de la sélection courante.  <a href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac979a58e1b484a30b279d18a481815e3">Plus de détails...</a><br /></td></tr>
<tr class="separator:ac979a58e1b484a30b279d18a481815e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9153e013ea2e5fd6c950716afbfb82e7"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a9153e013ea2e5fd6c950716afbfb82e7">remove</a> (self)</td></tr>
<tr class="separator:a9153e013ea2e5fd6c950716afbfb82e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85b31697f8ad692bc011eb9c810f396e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a85b31697f8ad692bc011eb9c810f396e">selectedList</a> (self)</td></tr>
<tr class="separator:a85b31697f8ad692bc011eb9c810f396e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributs publics</h2></td></tr>
<tr class="memitem:a63404c87a0625bae01906f6e3ac37ec7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a63404c87a0625bae01906f6e3ac37ec7">mainWindow</a></td></tr>
<tr class="separator:a63404c87a0625bae01906f6e3ac37ec7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada685853c0b672fd47b42334b38b077d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ada685853c0b672fd47b42334b38b077d">ok</a></td></tr>
<tr class="separator:ada685853c0b672fd47b42334b38b077d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock">
<p class="definition">Définition à la ligne <a class="el" href="copyToDialog1_8py_source.html#l00036">36</a> du fichier <a class="el" href="copyToDialog1_8py_source.html">copyToDialog1.py</a>.</p>
</div><h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="abfbfdcc3b1f16d6f2854d7958040aab9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfbfdcc3b1f16d6f2854d7958040aab9">&#9670;&nbsp;</a></span>cancel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.copyToDialog1.copyToDialog1.cancel </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>L'action provoquée par le bouton d'échappement : fermeture du dialogue. </p>

<p class="definition">Définition à la ligne <a class="el" href="copyToDialog1_8py_source.html#l00070">70</a> du fichier <a class="el" href="copyToDialog1_8py_source.html">copyToDialog1.py</a>.</p>

</div>
</div>
<a id="afc1b4819dc8119bcbfa05a104685931c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc1b4819dc8119bcbfa05a104685931c">&#9670;&nbsp;</a></span>cd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.copyToDialog1.copyToDialog1.cd </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change le répertoire courant si possible. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ev</td><td>un évènement </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="copyToDialog1_8py_source.html#l00104">104</a> du fichier <a class="el" href="copyToDialog1_8py_source.html">copyToDialog1.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1copyToDialog1_1_1copyToDialog1_afc1b4819dc8119bcbfa05a104685931c_cgraph.png" border="0" usemap="#classsrc_1_1copyToDialog1_1_1copyToDialog1_afc1b4819dc8119bcbfa05a104685931c_cgraph" alt=""/></div>
<map name="classsrc_1_1copyToDialog1_1_1copyToDialog1_afc1b4819dc8119bcbfa05a104685931c_cgraph" id="classsrc_1_1copyToDialog1_1_1copyToDialog1_afc1b4819dc8119bcbfa05a104685931c_cgraph">
<area shape="rect" title="Change le répertoire courant si possible." alt="" coords="5,5,179,47"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#adb15ba81390dd48d5bc90fd468d03408" title="Choisit un répertoire pour la liste source." alt="" coords="227,5,400,47"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1copyToDialog1_1_1copyToDialog1_afc1b4819dc8119bcbfa05a104685931c_icgraph.png" border="0" usemap="#classsrc_1_1copyToDialog1_1_1copyToDialog1_afc1b4819dc8119bcbfa05a104685931c_icgraph" alt=""/></div>
<map name="classsrc_1_1copyToDialog1_1_1copyToDialog1_afc1b4819dc8119bcbfa05a104685931c_icgraph" id="classsrc_1_1copyToDialog1_1_1copyToDialog1_afc1b4819dc8119bcbfa05a104685931c_icgraph">
<area shape="rect" title="Change le répertoire courant si possible." alt="" coords="227,5,400,47"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a4a099dae538ac4517a32b5718b729568" title="Met en place un visionneur de fichiers dans la liste source." alt="" coords="5,5,179,47"/>
</map>
</div>

</div>
</div>
<a id="a3a248ebcc251e3449fae434f2646c8ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a248ebcc251e3449fae434f2646c8ab">&#9670;&nbsp;</a></span>changeWd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.copyToDialog1.copyToDialog1.changeWd </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>changement du répertoire de travail </p>

<p class="definition">Définition à la ligne <a class="el" href="copyToDialog1_8py_source.html#l00063">63</a> du fichier <a class="el" href="copyToDialog1_8py_source.html">copyToDialog1.py</a>.</p>

</div>
</div>
<a id="ac4656d2911297adfb41fb287bbcfd064"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4656d2911297adfb41fb287bbcfd064">&#9670;&nbsp;</a></span>cont()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.copyToDialog1.copyToDialog1.cont </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="copyToDialog1_8py_source.html#l00077">77</a> du fichier <a class="el" href="copyToDialog1_8py_source.html">copyToDialog1.py</a>.</p>

</div>
</div>
<a id="ac979a58e1b484a30b279d18a481815e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac979a58e1b484a30b279d18a481815e3">&#9670;&nbsp;</a></span>displaySize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.copyToDialog1.copyToDialog1.displaySize </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Affiche la taille de la sélection courante. </p>

<p class="definition">Définition à la ligne <a class="el" href="copyToDialog1_8py_source.html#l00152">152</a> du fichier <a class="el" href="copyToDialog1_8py_source.html">copyToDialog1.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1copyToDialog1_1_1copyToDialog1_ac979a58e1b484a30b279d18a481815e3_cgraph.png" border="0" usemap="#classsrc_1_1copyToDialog1_1_1copyToDialog1_ac979a58e1b484a30b279d18a481815e3_cgraph" alt=""/></div>
<map name="classsrc_1_1copyToDialog1_1_1copyToDialog1_ac979a58e1b484a30b279d18a481815e3_cgraph" id="classsrc_1_1copyToDialog1_1_1copyToDialog1_ac979a58e1b484a30b279d18a481815e3_cgraph">
<area shape="rect" title="Affiche la taille de la sélection courante." alt="" coords="5,5,179,47"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a85b31697f8ad692bc011eb9c810f396e" title=" " alt="" coords="227,5,400,47"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1copyToDialog1_1_1copyToDialog1_ac979a58e1b484a30b279d18a481815e3_icgraph.png" border="0" usemap="#classsrc_1_1copyToDialog1_1_1copyToDialog1_ac979a58e1b484a30b279d18a481815e3_icgraph" alt=""/></div>
<map name="classsrc_1_1copyToDialog1_1_1copyToDialog1_ac979a58e1b484a30b279d18a481815e3_icgraph" id="classsrc_1_1copyToDialog1_1_1copyToDialog1_ac979a58e1b484a30b279d18a481815e3_icgraph">
<area shape="rect" title="Affiche la taille de la sélection courante." alt="" coords="227,39,400,80"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a9153e013ea2e5fd6c950716afbfb82e7" title=" " alt="" coords="5,5,179,47"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#af02b826d515d9ad734547a9d02a85b9f" title=" " alt="" coords="5,71,179,112"/>
</map>
</div>

</div>
</div>
<a id="a9153e013ea2e5fd6c950716afbfb82e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9153e013ea2e5fd6c950716afbfb82e7">&#9670;&nbsp;</a></span>remove()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.copyToDialog1.copyToDialog1.remove </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="copyToDialog1_8py_source.html#l00175">175</a> du fichier <a class="el" href="copyToDialog1_8py_source.html">copyToDialog1.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1copyToDialog1_1_1copyToDialog1_a9153e013ea2e5fd6c950716afbfb82e7_cgraph.png" border="0" usemap="#classsrc_1_1copyToDialog1_1_1copyToDialog1_a9153e013ea2e5fd6c950716afbfb82e7_cgraph" alt=""/></div>
<map name="classsrc_1_1copyToDialog1_1_1copyToDialog1_a9153e013ea2e5fd6c950716afbfb82e7_cgraph" id="classsrc_1_1copyToDialog1_1_1copyToDialog1_a9153e013ea2e5fd6c950716afbfb82e7_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,179,47"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac979a58e1b484a30b279d18a481815e3" title="Affiche la taille de la sélection courante." alt="" coords="227,5,400,47"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a85b31697f8ad692bc011eb9c810f396e" title=" " alt="" coords="448,5,621,47"/>
</map>
</div>

</div>
</div>
<a id="af02b826d515d9ad734547a9d02a85b9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af02b826d515d9ad734547a9d02a85b9f">&#9670;&nbsp;</a></span>select()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.copyToDialog1.copyToDialog1.select </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="copyToDialog1_8py_source.html#l00133">133</a> du fichier <a class="el" href="copyToDialog1_8py_source.html">copyToDialog1.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1copyToDialog1_1_1copyToDialog1_af02b826d515d9ad734547a9d02a85b9f_cgraph.png" border="0" usemap="#classsrc_1_1copyToDialog1_1_1copyToDialog1_af02b826d515d9ad734547a9d02a85b9f_cgraph" alt=""/></div>
<map name="classsrc_1_1copyToDialog1_1_1copyToDialog1_af02b826d515d9ad734547a9d02a85b9f_cgraph" id="classsrc_1_1copyToDialog1_1_1copyToDialog1_af02b826d515d9ad734547a9d02a85b9f_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,179,47"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac979a58e1b484a30b279d18a481815e3" title="Affiche la taille de la sélection courante." alt="" coords="227,5,400,47"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a85b31697f8ad692bc011eb9c810f396e" title=" " alt="" coords="448,5,621,47"/>
</map>
</div>

</div>
</div>
<a id="a85b31697f8ad692bc011eb9c810f396e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85b31697f8ad692bc011eb9c810f396e">&#9670;&nbsp;</a></span>selectedList()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.copyToDialog1.copyToDialog1.selectedList </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="copyToDialog1_8py_source.html#l00190">190</a> du fichier <a class="el" href="copyToDialog1_8py_source.html">copyToDialog1.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1copyToDialog1_1_1copyToDialog1_a85b31697f8ad692bc011eb9c810f396e_icgraph.png" border="0" usemap="#classsrc_1_1copyToDialog1_1_1copyToDialog1_a85b31697f8ad692bc011eb9c810f396e_icgraph" alt=""/></div>
<map name="classsrc_1_1copyToDialog1_1_1copyToDialog1_a85b31697f8ad692bc011eb9c810f396e_icgraph" id="classsrc_1_1copyToDialog1_1_1copyToDialog1_a85b31697f8ad692bc011eb9c810f396e_icgraph">
<area shape="rect" title=" " alt="" coords="448,39,621,80"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#ac979a58e1b484a30b279d18a481815e3" title="Affiche la taille de la sélection courante." alt="" coords="227,39,400,80"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a9153e013ea2e5fd6c950716afbfb82e7" title=" " alt="" coords="5,5,179,47"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#af02b826d515d9ad734547a9d02a85b9f" title=" " alt="" coords="5,71,179,112"/>
</map>
</div>

</div>
</div>
<a id="adb15ba81390dd48d5bc90fd468d03408"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb15ba81390dd48d5bc90fd468d03408">&#9670;&nbsp;</a></span>setFromListeDir()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.copyToDialog1.copyToDialog1.setFromListeDir </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>directory</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Choisit un répertoire pour la liste source. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">directory</td><td>une instance de QDir </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="copyToDialog1_8py_source.html#l00094">94</a> du fichier <a class="el" href="copyToDialog1_8py_source.html">copyToDialog1.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1copyToDialog1_1_1copyToDialog1_adb15ba81390dd48d5bc90fd468d03408_icgraph.png" border="0" usemap="#classsrc_1_1copyToDialog1_1_1copyToDialog1_adb15ba81390dd48d5bc90fd468d03408_icgraph" alt=""/></div>
<map name="classsrc_1_1copyToDialog1_1_1copyToDialog1_adb15ba81390dd48d5bc90fd468d03408_icgraph" id="classsrc_1_1copyToDialog1_1_1copyToDialog1_adb15ba81390dd48d5bc90fd468d03408_icgraph">
<area shape="rect" title="Choisit un répertoire pour la liste source." alt="" coords="448,5,621,47"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#afc1b4819dc8119bcbfa05a104685931c" title="Change le répertoire courant si possible." alt="" coords="227,5,400,47"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#a4a099dae538ac4517a32b5718b729568" title="Met en place un visionneur de fichiers dans la liste source." alt="" coords="5,5,179,47"/>
</map>
</div>

</div>
</div>
<a id="a4a099dae538ac4517a32b5718b729568"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a099dae538ac4517a32b5718b729568">&#9670;&nbsp;</a></span>setupFromListe()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.copyToDialog1.copyToDialog1.setupFromListe </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Met en place un visionneur de fichiers dans la liste source. </p>

<p class="definition">Définition à la ligne <a class="el" href="copyToDialog1_8py_source.html#l00084">84</a> du fichier <a class="el" href="copyToDialog1_8py_source.html">copyToDialog1.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1copyToDialog1_1_1copyToDialog1_a4a099dae538ac4517a32b5718b729568_cgraph.png" border="0" usemap="#classsrc_1_1copyToDialog1_1_1copyToDialog1_a4a099dae538ac4517a32b5718b729568_cgraph" alt=""/></div>
<map name="classsrc_1_1copyToDialog1_1_1copyToDialog1_a4a099dae538ac4517a32b5718b729568_cgraph" id="classsrc_1_1copyToDialog1_1_1copyToDialog1_a4a099dae538ac4517a32b5718b729568_cgraph">
<area shape="rect" title="Met en place un visionneur de fichiers dans la liste source." alt="" coords="5,5,179,47"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#afc1b4819dc8119bcbfa05a104685931c" title="Change le répertoire courant si possible." alt="" coords="227,5,400,47"/>
<area shape="rect" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html#adb15ba81390dd48d5bc90fd468d03408" title="Choisit un répertoire pour la liste source." alt="" coords="448,5,621,47"/>
</map>
</div>

</div>
</div>
<a id="a4a508fe0612217f30d89ffefd40535e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a508fe0612217f30d89ffefd40535e5">&#9670;&nbsp;</a></span>setupToListe()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.copyToDialog1.copyToDialog1.setupToListe </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Met en place un visionneur de fichierspour les fichiers reçus. </p>

<p class="definition">Définition à la ligne <a class="el" href="copyToDialog1_8py_source.html#l00115">115</a> du fichier <a class="el" href="copyToDialog1_8py_source.html">copyToDialog1.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des données membres</h2>
<a id="a63404c87a0625bae01906f6e3ac37ec7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63404c87a0625bae01906f6e3ac37ec7">&#9670;&nbsp;</a></span>mainWindow</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.copyToDialog1.copyToDialog1.mainWindow</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="copyToDialog1_8py_source.html#l00043">43</a> du fichier <a class="el" href="copyToDialog1_8py_source.html">copyToDialog1.py</a>.</p>

</div>
</div>
<a id="ada685853c0b672fd47b42334b38b077d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada685853c0b672fd47b42334b38b077d">&#9670;&nbsp;</a></span>ok</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.copyToDialog1.copyToDialog1.ok</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="copyToDialog1_8py_source.html#l00078">78</a> du fichier <a class="el" href="copyToDialog1_8py_source.html">copyToDialog1.py</a>.</p>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="copyToDialog1_8py_source.html">copyToDialog1.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1copyToDialog1.html">copyToDialog1</a></li><li class="navelem"><a class="el" href="classsrc_1_1copyToDialog1_1_1copyToDialog1.html">copyToDialog1</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
